####
# Script in order to update the list of approved emails
####

from risefor_lobbying.models import Email, ApprovedEmail
def updateApprovedEmails(self,request):
    debug = False
    debugCountBreak = 10
    emailsInDatabase = Email.objects.all()
    currentlyApprovedEmails = ApprovedEmail.objects.all()
    numberOfApprovedEmails = ApprovedEmail.objects.count()
    listOfApprovedEmails = []
    self.message_user(request, "Début de la mise à jour, actuellement il y a "+str(numberOfApprovedEmails)+" emails approuvé")
    # create list of approved emails
    for approvedEmail in currentlyApprovedEmails:
        # print(str(approvedEmail))
        if approvedEmail not in listOfApprovedEmails:
            listOfApprovedEmails.append(str(approvedEmail.name))
    
    #create list of emails in database
    count = 0
    for email in emailsInDatabase:
        count +=1
        # print("current email is",email)
        email = str(email)
        if email not in listOfApprovedEmails:
            approvedEmailModel = ApprovedEmail()
            approvedEmailModel.name = email
            # print("saving the value",approvedEmailModel.name)
            approvedEmailModel.save()
        if (debug == True) and (count >= debugCountBreak):
            break
    newNumberOfApprovedEmails = ApprovedEmail.objects.count()
    if (newNumberOfApprovedEmails < numberOfApprovedEmails):
        self.message_user(request, "Fin, nous avons supprimé "+str(numberOfApprovedEmails - newNumberOfApprovedEmails)+" emails approuvé")
    elif (newNumberOfApprovedEmails == numberOfApprovedEmails):
        self.message_user(request, "Fin, aucun nouveau emails ont été ajouté. Etes vous sur d'avoir mis à jour la liste des élues?")
    else:
        self.message_user(request, "Fin, nous avons ajouté "+str(newNumberOfApprovedEmails - numberOfApprovedEmails)+" nouveaux emails approuvé")
