from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion

# from django.conf import settings
# logger = settings.logger

from django.apps import apps


class Migration(migrations.Migration):

    dependencies = [
        # ('law_tracker', '0016_auto_20241018_1835'),
        ('risefor_lobbying', '0223_auto_20241018_1215'),
    ]
    operations = []
    # Check if the plugin setting is active
    if settings.PLUGIN_LAW_TRACKER:
        print("Law Tracker Plugin migration")
        Law = apps.get_model('law_tracker', 'Law')
        migrations.AddField(
            model_name='actiongroup',
            name='targetLaw',
            field=models.ForeignKey(
                to='law_tracker.Law',
                verbose_name='Cibler les élues associé à une loi',
                null=True,
                blank=True,
                on_delete=models.SET_NULL,
            ),
        )
    else:
        print("Migration 224: law tracker plugin is not active, do nothing.")