from django import template
import json
import os
from django.conf import settings

register = template.Library()

@register.simple_tag
def load_json(file_path):
    absolute_path = os.path.join(settings.BASE_DIR, file_path)
    with open(absolute_path) as f:
        data = json.load(f)
    return data